- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConstraintSolution Class Reference

The ConstraintSolution Class. More...

`#include <OSResult.h>`

Collaboration diagram for ConstraintSolution:

[legend]
List of all members.

## Public Member Functions
| ConstraintSolution ()
| Default constructor.
| ~ConstraintSolution ()
| Class destructor.
bool | IsEqual (ConstraintSolution *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| ConstraintSolution ()
| Default constructor.
| ~ConstraintSolution ()
| Class destructor.
## Public Attributes
int | numberOfOtherConstraintResults
| the number of types of constraint function results other than the basic constraint function values
DualVariableValues * | dualValues
| a pointer to an array of DualVariableValues objects
BasisStatus * | basisStatus
| a pointer to a BasisStatus object
OtherConstraintResult ** | other
| a pointer to an array of other pointer objects for constraint functions
DualVariableValues * | dualValues
| a pointer to an array of DualVariableValues objects
OtherConstraintResult ** | other
| a pointer to an array of other pointer objects for constraint functions

## Detailed Description

The ConstraintSolution Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for reporting all of the types of solution values associated with objective functions.

Definition at line 1765 of file OSResult.h.

## Constructor & Destructor Documentation

ConstraintSolution::ConstraintSolution | ( |  | ) |

Default constructor.

Definition at line 811 of file OSResult.cpp.

ConstraintSolution::~ConstraintSolution | ( |  | ) |

Class destructor.

Definition at line 823 of file OSResult.cpp.

References dualValues.

ConstraintSolution::ConstraintSolution | ( |  | ) |

Default constructor.

ConstraintSolution::~ConstraintSolution | ( |  | ) |

Class destructor.

## Member Function Documentation

bool ConstraintSolution::IsEqual | ( | ConstraintSolution * | that | ) |

A function to check for the equality of two objects.

Definition at line 6756 of file OSResult.cpp.

bool ConstraintSolution::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8093 of file OSResult.cpp.

References OSRand(), other, and OtherConstraintResult::setRandom().

## Member Data Documentation

int ConstraintSolution::numberOfOtherConstraintResults

the number of types of constraint function results other than the basic constraint function values

Definition at line 1772 of file OSResult.h.

Referenced by OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), and OSResult::getOtherConstraintResultEnumerationValue().

DualVariableValues* ConstraintSolution::dualValues

a pointer to an array of DualVariableValues objects

Definition at line 1775 of file OSResult.h.

Referenced by OSResult::setConstraintValues(), OSResult::setDualVariableValues(), OSrL2Gams::writeSolution(), and ~ConstraintSolution().

BasisStatus* ConstraintSolution::basisStatus

a pointer to a BasisStatus object

Definition at line 1778 of file OSResult.h.

Referenced by OSResult::getBasisStatusEl(), OSResult::getBasisStatusNumberOfEl(), OSResult::setBasisStatus(), and tempPrintArrays().

OtherConstraintResult** ConstraintSolution::other

a pointer to an array of other pointer objects for constraint functions

Definition at line 1783 of file OSResult.h.

Referenced by OSResult::getOtherConstraintResultEnumerationDescription(), OSResult::getOtherConstraintResultEnumerationEl(), OSResult::getOtherConstraintResultEnumerationNumberOfEl(), OSResult::getOtherConstraintResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), setRandom(), and tempPrintArrays().

DualVariableValues* ConstraintSolution::dualValues

a pointer to an array of DualVariableValues objects

Definition at line 1107 of file OSResult.h.

OtherConstraintResult** ConstraintSolution::other

a pointer to an array of other pointer objects for constraint functions

Definition at line 1112 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp